Skip to main content
POST
/
v1
/
users
/
_delete
User Bulk Delete API
curl --request POST \
  --url 'https://api.askmiso.com/v1/users/_delete?api_key=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "user_ids": [
      "<string>"
    ]
  }
}
'
import requests

url = "https://api.askmiso.com/v1/users/_delete?api_key="

payload = { "data": { "user_ids": ["<string>"] } }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({data: {user_ids: ['<string>']}})
};

fetch('https://api.askmiso.com/v1/users/_delete?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "success",
  "data": {
    "task_id": "<string>"
  }
}
{
"message:": "Request timeout."
}
{
"message": "invalid api key."
}
{
"message": "Request is denied due to bot blocking. Please only access this API from a real browser or use Secret API Key instead."
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
{
"message": "Something went wrong. Please contact miso product team."
}

Authorizations

api_key
string
query
required

Your secret API key is used to access every Miso API endpoint. You should secure this key and only use it on a backend server. Never leave this key in your client-side JavaScript code. If the private key is compromised, you can revoke it in Dojo and get a new one.

Specify your secret key in the api_key query parameter. For example:

POST /v1/users?api_key=039c501ac8dfcac91c6f05601cee876e1cc07e17

Body

application/json
data
UserIdList · object
required

Response

Successful Response

message
string
required

Human-readable message

Example:

"success"

data
TaskId · object
required